Package org.jdesktop.animation.timing

## Class TimingTargetAdapter

- java.lang.Object
- - org.jdesktop.animation.timing.TimingTargetAdapter

All Implemented Interfaces:
  `TimingTarget`

Direct Known Subclasses:
  `PropertySetter`

    public class TimingTargetAdapter
    extends java.lang.Object
    implements TimingTarget

Implements the `TimingTarget` interface, providing stubs for all TimingTarget methods. Subclasses may extend this adapter rather than implementing the TimingTarget interface if they only care about a subset of the events that TimingTarget provides. For example, sequencing animations may only require monitoring the `TimingTarget.end()` method, so subclasses of this adapter may ignore the other methods such as timingEvent.

### Constructor Summary

Constructors
`TimingTargetAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin()` Called when the Animator's animation begins.
`void` `end()` Called when the Animator's animation ends
`void` `repeat()` Called when the Animator repeats the animation cycle
`void` `timingEvent​(float fraction)` This method will receive all of the timing events from an Animator during an animation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimingTargetAdapter

    public TimingTargetAdapter()

### Method Detail

#### timingEvent

    public void timingEvent​(float fraction)

This method will receive all of the timing events from an Animator during an animation. The fraction is the percent elapsed (0 to 1) of the current animation cycle.

Specified by:
  `timingEvent` in interface `TimingTarget`
Parameters:
  `fraction` - the fraction of completion between the start and end of the current cycle. Note that on reversing cycles (`Animator.Direction.BACKWARD`) the fraction decreases from 1.0 to 0 on backwards-running cycles. Note also that animations with a duration of `INFINITE` will call timingEvent with an undefined value for fraction, since there is no fraction that makes sense if the animation has no defined length.
See Also:
  `Animator.Direction`

#### begin

    public void begin()

Called when the Animator's animation begins. This provides a chance for targets to perform any setup required at animation start time.

Specified by:
  `begin` in interface `TimingTarget`

#### end

    public void end()

Called when the Animator's animation ends

Specified by:
  `end` in interface `TimingTarget`

#### repeat

    public void repeat()

Called when the Animator repeats the animation cycle

Specified by:
  `repeat` in interface `TimingTarget`